View Issue Details

IDProjectCategoryView StatusLast Update
0026500LazarusIDEpublic2015-04-12 12:28
ReporterPéter GáborAssigned ToMaxim Ganetsky 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3 (SVN)Product Build 
Target VersionFixed in Version1.4 
Summary0026500: Untranslatable strings in EditorToolBar settings
DescriptionIn EditorToolBar settings all "category names" shown in the treeview are untranslatable.
TagsNo tags attached.
Fixed in Revision46401
LazTarget1.4
Widgetset
Attached Files

Relationships

related to 0026495 closedJuha Manninen Packages ebhancement patch to editortoolbar package 

Activities

Juha Manninen

2014-07-19 13:35

developer   ~0076264

Is this still valid? See the related issue.

Péter Gábor

2014-07-19 16:39

reporter   ~0076271

This is valid at r45928

G. Colla

2014-07-21 19:46

developer   ~0076310

Category names are Menu separators, which have only a Name, and not a translatable Caption. In the toolbar only Captions are displayed, but, for some reasons, when a Caption is not available, the (untranslatable) Name is returned instead.
Looking for a way to tell apart Menu separators from other items.

Péter Gábor

2014-09-11 18:19

reporter   ~0077093

Today I found only three items untranslatable (or caption in unavailable) yet, all of them related to Messages window:
- Messages / About / About Tool
- Messages / About / Open Tool Options
- Messages / FilterMsgOfType

Juha Manninen

2014-09-14 15:57

developer   ~0077219

What shall we do with this one? I would like to resolve it at some point.
EditorToolbar is now installed by default in Lazarus "bigide".

Péter Gábor

2014-09-15 09:37

reporter   ~0077251

EditorToolBar seems to get the strings right from all components except "Messages window". So I think this issue is fixed and "Messages window" needs some review.

Juha Manninen

2014-09-15 18:13

developer   ~0077270

> So I think this issue is fixed and "Messages window" needs some review.

Could somebody please provide the resource strings for Messages window so it will not be forgotten.

Juha Manninen

2014-10-01 17:22

developer   ~0077858

Maxim, could you please fix this localization issue.
In unit etMessageFrame, procedure RegisterStandardMessagesViewMenuItems, there are many constant strings in the Caption parameter of RegisterIDEMenuCommand(). Should be resource strings.

Otherwise this EditorToolBar issue is solved.

Maxim Ganetsky

2014-10-02 03:17

developer   ~0077865

Please test and close if OK.

Issue History

Date Modified Username Field Change
2014-07-19 09:10 Péter Gábor New Issue
2014-07-19 13:34 Juha Manninen Relationship added related to 0026495
2014-07-19 13:34 Juha Manninen Assigned To => Juha Manninen
2014-07-19 13:34 Juha Manninen Status new => assigned
2014-07-19 13:35 Juha Manninen LazTarget => -
2014-07-19 13:35 Juha Manninen Note Added: 0076264
2014-07-19 13:35 Juha Manninen Status assigned => feedback
2014-07-19 16:39 Péter Gábor Note Added: 0076271
2014-07-19 16:39 Péter Gábor Status feedback => assigned
2014-07-21 19:46 G. Colla Note Added: 0076310
2014-09-11 18:19 Péter Gábor Note Added: 0077093
2014-09-14 15:57 Juha Manninen Note Added: 0077219
2014-09-14 15:57 Juha Manninen Status assigned => feedback
2014-09-15 09:37 Péter Gábor Note Added: 0077251
2014-09-15 09:37 Péter Gábor Status feedback => assigned
2014-09-15 18:13 Juha Manninen Note Added: 0077270
2014-10-01 17:17 Juha Manninen Assigned To Juha Manninen => Maxim Ganetsky
2014-10-01 17:22 Juha Manninen LazTarget - => 1.4
2014-10-01 17:22 Juha Manninen Note Added: 0077858
2014-10-02 03:17 Maxim Ganetsky Fixed in Revision => 46401
2014-10-02 03:17 Maxim Ganetsky Note Added: 0077865
2014-10-02 03:17 Maxim Ganetsky Status assigned => resolved
2014-10-02 03:17 Maxim Ganetsky Fixed in Version => 1.4
2014-10-02 03:17 Maxim Ganetsky Resolution open => fixed
2015-04-12 12:28 Péter Gábor Status resolved => closed